SilentWorldQuestVars = { true, true}

-- Event frame on login.
local SilentWorldQuestFirstLogin = CreateFrame("Frame", "SilentWorldQuestLogin")
SilentWorldQuestFirstLogin:RegisterEvent("PLAYER_LOGIN")
SilentWorldQuestFirstLogin:SetScript("OnEvent",
	function(self, event, ...)
		SWQM("Silent World Quest Loaded. Type /swq for command list.")
		SilentWorldQuestFirstLogin:UnregisterEvent("PLAYER_LOGIN")
	end)

-- Message function
function SWQM(text, prefix)
	local tag = "SilentWorldQuest"
	local frame = DEFAULT_CHAT_FRAME
	if prefix ~= false then
		frame:AddMessage(("|cffffd480<|r|cffaaff80%s|r|cffffd480>|r %s"):format(tostring(tag), tostring(text)), 1, 0.46, 0.2)
	else
		frame:AddMessage(text, 1, 0.46, 0.2);
	end
end

  -- SLASH COMMANDS REGISTER --
local SilentWorldQuestSlashCmds = {}
SilentWorldQuestSlashCmds = { ["t"]=true, ["withered"]=true}

SLASH_K_SWQ_MAIN1 = "/swq"
function SlashCmdList.K_SWQ_MAIN(cmd)
	local s1, s2 = strsplit(" ", cmd, 2)
		if s1 then
			s1 = string.lower(s1)
		end
		if not SilentWorldQuestSlashCmds[s1] then
			SWQM("Commands:")
			SWQM("/swq t : Toggles talking quest popups and sounds.")
         SWQM("/swq withered : Toggles withered army training scenario popups and sounds.")
		elseif s1 == "t" then
			if SilentWorldQuestVars[1] then
				-- To disable --
				SilentWorldQuestVars[1] = false
				SWQM("All talking quest popups enabled.")
			else
				-- To enable --
				SilentWorldQuestVars[1] = true
				SWQM("All talking quest popups disabled.")
			end
		elseif s1 == "withered" then
         if SilentWorldQuestVars[2] then
           -- To disable --
           SilentWorldQuestVars[2] = false
           SWQM("Addon disabled in Withered Training scenario.")
         else
           -- To enable --
           SilentWorldQuestVars[2] = true
           SWQM("Addon enabled in Withered Training scenario.")
         end
    end
end
